Bug 123325 - RPMs for libmozjs (SpiderMonkey)
RPMs for libmozjs (SpiderMonkey)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-17 00:48 EDT by Braden McDaniel
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 16:31:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2004-05-17 00:48:14 EDT
It would be nice if libmozjs had its own RPM (and -devel RPM). That
way other projects that use SpiderMonkey could just depend on these
bits rather than pull in the entire Mozilla browser.

(From <http://bugzilla.mozilla.org/show_bug.cgi?id=134206>.)
Comment 1 Matthew Miller 2005-04-26 11:33:11 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Braden McDaniel 2005-04-26 11:59:48 EDT
This bug should be reopened, but I seem to be unable to do so.
Comment 3 Matthew Miller 2005-04-26 12:10:49 EDT
Braden -- you just reopened it. :)
Comment 4 Braden McDaniel 2005-04-26 12:16:54 EDT
How clever of me. I guess that happens automagically when the bug is NEEDINFO
and any of the fields is changed.
Comment 5 Christopher Aillon 2006-10-29 13:18:45 EST
I think someone packaged this up for extras.

js-devel.i386                            1.5-6.fc6              extras          
Matched from:
js-devel
Header files, libraries and development documentation for js
This package contains the header files, static libraries and development
documentation for js. If you like to develop programs using js,
you will need to install js-devel.
http://www.mozilla.org/js/
Comment 6 Braden McDaniel 2006-10-29 16:22:05 EST
This bug is not about introducing a redundant SpiderMonkey RPM. Rather, it's
about factoring libmozjs into it's own RPM--one that mozilla/firefox and other
applications can depend on.
Comment 7 Christopher Aillon 2006-10-29 16:31:43 EST
(In reply to comment #0)
> It would be nice if libmozjs had its own RPM (and -devel RPM). That
> way other projects that use SpiderMonkey could just depend on these
> bits rather than pull in the entire Mozilla browser.

What you filed the bug about was fixed in Extras.  yum install js js-devel and
projects that use SpiderMonkey can depend on this.  Firefox and other browser
projects will not use these RPMs.  Novell pressed this issue a bit ago and it
was rejected: The possibility of changing the JS Engine between browser versions
is not a viable option for browser API compatibility.  Firefox X.Y.Z must always
have the same JS version across the board.

Re-resolving.

Note You need to log in before you can comment on or make changes to this bug.